# Class MathExt

java.lang.Object
org.jmol.scriptext.MathExt

public class MathExt extends Object

## Constructor Summary

Constructors
Constructor
Description
`MathExt()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`evaluate(ScriptMathProcessor mp, T op, SV[] args, int tok)`
`Object`
`getMinMax(Object floatOrSVArray, int tok, boolean isSV)`
`MathExt`
`init(Object se)`
`BS`
`setContactBitSets(BS bsA, BS bsB, boolean localOnly, float distance, RadiusData rd, boolean warnMultiModel)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MathExt

public MathExt()

## Method Details

### init

public MathExt init(Object se)

### evaluate

public boolean evaluate(ScriptMathProcessor mp, T op, SV[] args, int tok) throws ScriptException

Throws:
  `ScriptException`

### getMinMax

public Object getMinMax(Object floatOrSVArray, int tok, boolean isSV)

### setContactBitSets

public BS setContactBitSets(BS bsA, BS bsB, boolean localOnly, float distance, RadiusData rd, boolean warnMultiModel)